# -*- encoding: utf-8 -*-
# stub: google-cloud-automl-v1 0.4.0 ruby lib

Gem::Specification.new do |s|
  s.name = "google-cloud-automl-v1".freeze
  s.version = "0.4.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Google LLC".freeze]
  s.date = "2023-09-05"
  s.description = "AutoML makes the power of machine learning available to you even if you have limited knowledge of machine learning. You can use AutoML to build on Google's machine learning capabilities to create your own custom machine learning models that are tailored to your business needs, and then integrate those models into your applications and web sites. Note that google-cloud-automl-v1 is a version-specific client library. For most uses, we recommend installing the main client library google-cloud-automl instead. See the readme for more details.".freeze
  s.email = "googleapis-packages@google.com".freeze
  s.files = [".yardopts".freeze, "AUTHENTICATION.md".freeze, "LICENSE.md".freeze, "README.md".freeze, "lib/google-cloud-automl-v1.rb".freeze, "lib/google/cloud/automl/v1.rb".freeze, "lib/google/cloud/automl/v1/_helpers.rb".freeze, "lib/google/cloud/automl/v1/annotation_payload_pb.rb".freeze, "lib/google/cloud/automl/v1/annotation_spec_pb.rb".freeze, "lib/google/cloud/automl/v1/automl.rb".freeze, "lib/google/cloud/automl/v1/automl/client.rb".freeze, "lib/google/cloud/automl/v1/automl/credentials.rb".freeze, "lib/google/cloud/automl/v1/automl/operations.rb".freeze, "lib/google/cloud/automl/v1/automl/paths.rb".freeze, "lib/google/cloud/automl/v1/classification_pb.rb".freeze, "lib/google/cloud/automl/v1/data_items_pb.rb".freeze, "lib/google/cloud/automl/v1/dataset_pb.rb".freeze, "lib/google/cloud/automl/v1/detection_pb.rb".freeze, "lib/google/cloud/automl/v1/geometry_pb.rb".freeze, "lib/google/cloud/automl/v1/image_pb.rb".freeze, "lib/google/cloud/automl/v1/io_pb.rb".freeze, "lib/google/cloud/automl/v1/model_evaluation_pb.rb".freeze, "lib/google/cloud/automl/v1/model_pb.rb".freeze, "lib/google/cloud/automl/v1/operations_pb.rb".freeze, "lib/google/cloud/automl/v1/prediction_service.rb".freeze, "lib/google/cloud/automl/v1/prediction_service/client.rb".freeze, "lib/google/cloud/automl/v1/prediction_service/credentials.rb".freeze, "lib/google/cloud/automl/v1/prediction_service/operations.rb".freeze, "lib/google/cloud/automl/v1/prediction_service/paths.rb".freeze, "lib/google/cloud/automl/v1/prediction_service_pb.rb".freeze, "lib/google/cloud/automl/v1/prediction_service_services_pb.rb".freeze, "lib/google/cloud/automl/v1/service_pb.rb".freeze, "lib/google/cloud/automl/v1/service_services_pb.rb".freeze, "lib/google/cloud/automl/v1/text_extraction_pb.rb".freeze, "lib/google/cloud/automl/v1/text_pb.rb".freeze, "lib/google/cloud/automl/v1/text_segment_pb.rb".freeze, "lib/google/cloud/automl/v1/text_sentiment_pb.rb".freeze, "lib/google/cloud/automl/v1/translation_pb.rb".freeze, "lib/google/cloud/automl/v1/version.rb".freeze, "proto_docs/README.md".freeze, "proto_docs/google/api/field_behavior.rb".freeze, "proto_docs/google/api/resource.rb".freeze, "proto_docs/google/cloud/automl/v1/annotation_payload.rb".freeze, "proto_docs/google/cloud/automl/v1/annotation_spec.rb".freeze, "proto_docs/google/cloud/automl/v1/classification.rb".freeze, "proto_docs/google/cloud/automl/v1/data_items.rb".freeze, "proto_docs/google/cloud/automl/v1/dataset.rb".freeze, "proto_docs/google/cloud/automl/v1/detection.rb".freeze, "proto_docs/google/cloud/automl/v1/geometry.rb".freeze, "proto_docs/google/cloud/automl/v1/image.rb".freeze, "proto_docs/google/cloud/automl/v1/io.rb".freeze, "proto_docs/google/cloud/automl/v1/model.rb".freeze, "proto_docs/google/cloud/automl/v1/model_evaluation.rb".freeze, "proto_docs/google/cloud/automl/v1/operations.rb".freeze, "proto_docs/google/cloud/automl/v1/prediction_service.rb".freeze, "proto_docs/google/cloud/automl/v1/service.rb".freeze, "proto_docs/google/cloud/automl/v1/text.rb".freeze, "proto_docs/google/cloud/automl/v1/text_extraction.rb".freeze, "proto_docs/google/cloud/automl/v1/text_segment.rb".freeze, "proto_docs/google/cloud/automl/v1/text_sentiment.rb".freeze, "proto_docs/google/cloud/automl/v1/translation.rb".freeze, "proto_docs/google/longrunning/operations.rb".freeze, "proto_docs/google/protobuf/any.rb".freeze, "proto_docs/google/protobuf/duration.rb".freeze, "proto_docs/google/protobuf/empty.rb".freeze, "proto_docs/google/protobuf/field_mask.rb".freeze, "proto_docs/google/protobuf/struct.rb".freeze, "proto_docs/google/protobuf/timestamp.rb".freeze, "proto_docs/google/rpc/status.rb".freeze]
  s.homepage = "https://github.com/googleapis/google-cloud-ruby".freeze
  s.licenses = ["Apache-2.0".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.5".freeze)
  s.rubygems_version = "3.3.7".freeze
  s.summary = "API Client library for the Cloud AutoML V1 API".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<gapic-common>.freeze, ["~> 0.4"])
    s.add_runtime_dependency(%q<google-cloud-errors>.freeze, ["~> 1.0"])
    s.add_development_dependency(%q<google-style>.freeze, ["~> 1.25.1"])
    s.add_development_dependency(%q<minitest>.freeze, ["~> 5.14"])
    s.add_development_dependency(%q<minitest-focus>.freeze, ["~> 1.1"])
    s.add_development_dependency(%q<minitest-rg>.freeze, ["~> 5.2"])
    s.add_development_dependency(%q<rake>.freeze, [">= 12.0"])
    s.add_development_dependency(%q<redcarpet>.freeze, ["~> 3.0"])
    s.add_development_dependency(%q<simplecov>.freeze, ["~> 0.18"])
    s.add_development_dependency(%q<yard>.freeze, ["~> 0.9"])
  else
    s.add_dependency(%q<gapic-common>.freeze, ["~> 0.4"])
    s.add_dependency(%q<google-cloud-errors>.freeze, ["~> 1.0"])
    s.add_dependency(%q<google-style>.freeze, ["~> 1.25.1"])
    s.add_dependency(%q<minitest>.freeze, ["~> 5.14"])
    s.add_dependency(%q<minitest-focus>.freeze, ["~> 1.1"])
    s.add_dependency(%q<minitest-rg>.freeze, ["~> 5.2"])
    s.add_dependency(%q<rake>.freeze, [">= 12.0"])
    s.add_dependency(%q<redcarpet>.freeze, ["~> 3.0"])
    s.add_dependency(%q<simplecov>.freeze, ["~> 0.18"])
    s.add_dependency(%q<yard>.freeze, ["~> 0.9"])
  end
end
